﻿' -------------------------------------------------------------------------------------
'
' GeschwindEins                                                  Ulrich Müller 19.01.10
'                                                                Aspire  VB2008 Express
' Messung einer Fahrgeschwindigkeit zwischen zwei Punkten durch Lichtschranken
'
' -------------------------------------------------------------------------------------

Option Explicit On
Option Strict Off
Imports System.Environment

Imports FishFaceTX

Module GeschwindEins

  Const AbstandSchranken = 435

  Dim tx As New FishFace()
  Const Lampen As Out = Out.O1
  Const SchrankeL As Unv = Unv.I1
  Const SchrankeR As Unv = Unv.I2

  Sub Main()
    Dim StartZeit As Long
    Dim Fahrzeit, Geschwindms, Geschwindkmh As Single

    tx.OpenController("COM4")

    tx.SetLamp(Lampen, Dir.On)
    tx.Pause(1234)
    Console.WriteLine("Messung kann gestartet werden")
    tx.WaitForLow(SchrankeL)
    StartZeit = TickCount

    tx.WaitForLow(SchrankeR)
    Fahrzeit = (TickCount - StartZeit) / 1000

    tx.CloseController()

    Console.WriteLine("Fahrstrecke     : {0:000} mm", AbstandSchranken)
    Console.WriteLine("Fahrzeit        : {0:0.00} sec", Fahrzeit)
    Geschwindms = AbstandSchranken / 1000 / Fahrzeit
    Console.WriteLine("Geschwindigkeit : {0:0.00} m/s", Geschwindms)
    Geschwindkmh = Geschwindms * 3.6
    Console.WriteLine("Geschwindigkeit : {0:0.00} kmh", Geschwindkmh)
    Console.ReadLine()
  End Sub

End Module
